package com.lyg.application.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.lyg.application.entity.TaIncompatible;

import java.util.List;

/**
 * 不相容;(ta_incompatible)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2024-3-6
 */
@Mapper
public interface TaIncompatibleMapper  extends BaseMapper<TaIncompatible>{

     List<TaIncompatible> getRegularRules(@Param("oldOrgName") String oldOrgName, @Param("newOrgName") String newOrgName);

    List<String> getMonthRulesPrimary(@Param("primaryPost") String primaryPost);

    List<String> getMonthRulesTarget(@Param("targetPost") String targetPost);
}